Package org.apache.sling.servlets.annotations

## Annotation Type SlingServletPrefix

    @ComponentPropertyType
    public @interface SlingServletPrefix

The prefix/index to be used to register this servlet. Must be used in combination with either `SlingServletPaths` or `SlingServletResourceTypes`. It only is applied as prefix to `SlingServletPaths` or `SlingServletResourceTypes.resourceTypes()` in case they do not start with a "/".

See Also:
  Sling Servlets, `ServletResolverConstants`, Felix SCR annotation

### Required Element Summary

Required Elements
`String` `value` If the value of this element is a number, it defines the index of the search path entries from the resource resolver.

### Element Detail

#### value

    String value

- If the value of this element is a number, it defines the index of the search path entries from the resource resolver. The defined search path is used as a prefix to mount this servlet. The number can be -1 which always points to the last search entry. If the specified value is higher than than the highest index of the search paths, the last entry is used. The index starts with 0. If the value of this property is a string and parseable as a number, the above logic is used.
- If the value of this element is a string starting with "/", this value is applied as a prefix, regardless of the configured search paths!
- If the value is anything else, it is ignored.

If this property is empty, the configuration of the `org.apache.sling.servlets.resolver.internal.SlingServletResolver` service is used. In case even that one is not set "/" is used as prefix.

Returns:
  the prefix
See Also:
  `ServletResolverConstants.SLING_SERVLET_PREFIX`